> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Company Taxes Page link

> Generate a link that automatically signs in a company and redirects them to their Taxes Dashboard, where they can view and edit taxes. This link can only be generated in production and expires exactly 7 days after generation.



## OpenAPI

````yaml openapi/zeal-api.json post /authLinks/taxes
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /authLinks/taxes:
    post:
      summary: Generate Company Taxes Page link
      description: >-
        Generates an authenticated link that can be hosted as a UI component for
        the Company Taxes Page.
      operationId: get-employer-taxes-page-link
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - partnerID
                - companyID
              properties:
                partnerID:
                  type: string
                  description: PartnerID of the Zeal Partner
                companyID:
                  type: string
                  description: CompanyID of the company
                showSidebar:
                  type: boolean
                  description: >-
                    Indicate whether or not you would like the UI sidebar
                    displayed
            examples:
              Request Example:
                value:
                  partnerID: c133ecdere9b3445a2f22Cc258b23445a
                  companyID: fc235f012bae46222ca3444cc2215bcfa
                  showSidebar: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    url: >-
                      https://payroll.your-domain.com/token-auth?redirectUrl=%2Ftaxes%2Fhome&routeFilter=%2Ftaxes%2F%2A&token=good-token-string
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  url:
                    type: string
                    example: >-
                      https://payroll.your-domain.com/token-auth?redirectUrl=%2Ftaxes%2Fhome&routeFilter=%2Ftaxes%2F%2A&token=good-token-string
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: >-
                          Object(s) is missing required fields or has improperly
                          formatted data
                        status: 400
                        code: 13
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: >-
                            Object(s) is missing required fields or has
                            improperly formatted data
                        status:
                          type: integer
                          example: 400
                          default: 0
                        code:
                          type: integer
                          example: 13
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````